<h1>The Story of DebConf 2</h1>
<p>
How I came to organise the 2nd annual Debian Conference stems from a decision I made in October of 2001 to re-subscribe to the high-traffic <a href="http://lists.debian.org/debian-devel">debian-devel</a> mailing list. I don't remember why I re-subscribed, but as it happened the timing was such that a thread about where the next Debian Conference would be held was just starting as I did.
<p>
For reasons well-known to everyone, the United States was not favoured as a place to hold this conference. Some developers <a href="debian-devel-200110_00948.html">refused outright</a> to attend any conference in the USA. As such, the idea of holding it in Canada - near enough the USA to facilitate most Americans attending - was brought up, and various people, <a href="debian-devel-200110_00978.html">including me</a>, weighed in on the possibility.
<p>
Now, there is a tendency among many communities to talk a lot, and not actually accomplish all that much. I realised this, and so <a href="debian-devel-200110_01004.html">I put my money where my mouth was</a>.
<p>
Immediately I started writing to universities, because they seemed the most logical place to hold a conference like this: food, accommodation and presentation facilities would all be readily available there. Unfortunately, most universities treated us as a wealthy corporation - and while Software in the Public Interest may hold some money in Debian's name, it's not nearly enough to fund more than a few conferences whose costs were more than a small amount.
<p>
Time passed, and not a whole lot got done. A little less than two months later, <a href="debian-devel-200112_00198.html">I admitted defeat</a>: DebConf 2 would not be held in Toronto after all. I left the option open for people to rescue me, but I wasn't hopeful.
<p>
As it turns out, I was entirely wrong to doubt the community. Immediately this news got <a href="debianplanet.html">spread</a> to web sites like <a href="http://www.debianplanet.org">Debian Planet</a>, and while they couldn't seem to figure out my name, they did spread the word. Within hours I had received no fewer than five offers of assistance, one of them a guy by the name of Alex Anglin, a student at <a href="http://www.yorku.ca">York University</a> and a member of the York University Computer Club (<a href="http://www.yucc.yorku.ca">YUCC</a>).
<p>
Alex was very helpful and went out of his way to work through some of the York bureaucracy. Before long, I had decided that York was where I wanted to hold DebConf 2, and it was only the logistics of the situation which needed to be decided. I visited York, talked with Alex and some very helpful and understanding people at Hospitality York (the organisation which does most arranging for conferences), and it was decided. On March 1, I <a href="debian-devel-announce-200203_00001.html">announced</a> that DebConf 2 would be held at York University in Toronto from July 6-8, 2002. (I later <a href="debian-devel-announce-200203_00003.html">amended that</a> to the correct dates, July 5-7.)
<p>
About four days later, I received a curious message in my inbox, from Michael Robertson - of <a href="http://www.lindows.com">Lindows.com</a>. He said that they'd like to support DebConf, and could I please call him? Well, I did so, and Michael mentioned that yes, LindowsOS was based on Debian, and yes, that Lindows.com wanted to help out. Among other things, he offered to sponsor a dinner during the event for all participants. I talked it over with some Debian developers, and the universal consensus was "Why <em>wouldn't</em> we accept their offer?" So we did.
<p>
At this point a lot of organising went on. Lindows.com offered me a pre-built registration form, which I used (as it turned out, <a href="debian-devel-200204_00359.html">to the dismay</a> of some other people - but it all stems from the "community involvement" issue previously mentioned). The <a href="debian-devel-announce-200204_00001.html">official announcement</a> went out on the 4th of April, 2002; later, clarifications and addenda gave people the information needed to reserve space in residence rooms at York University (for those not staying in their homes in Toronto or in hotels).
<p>
The actual conference was held from the 5th to the 7th of July, 2002, and in my opinion was a smashing success. I'm not about to summarise the talks or everything that went on during the conference - there are people who are much better at this than I - but I would like to highlight some of the problems I saw at the conference, and how I'd do things better if I had the chance to do it again.
<p>
The first problem I encountered, and the one which scared me the most, was that it appeared we didn't actually have any real bookings of the room and equipment we needed for the conference. This is one of the issues that comes up when one doesn't pay for conference space: somehow people who need to make these decisions just don't feel pressure to do so, or just plain forget. A bit of checking the week before the conference would have cleared this problem up, I believe. We were left with Sabira Gulamali and Dave Makalsky, both from YUCC, negotiating at the last minute with the staff and faculty of the Computer Science department at York. Luckily they were able to get everything settled, but I wouldn't want to go through this again.
<p>
Then, there is the issue of internet access. Many people assumed there would be free and clear access for everybody; some seemed irrationally attached to the need for it. It was available, and some people were able to get access via some Ethernet drops in the floor and support from both YUCC and people who had brought ample wireless Ethernet equipment, but it just wasn't what people had expected. Personally, I think that it was not necessarily a bad thing that people could not hide behind their laptops reading e-mail, as is so often the case. After all, we're there to talk and participate in the proceedings; Internet access is somewhat orthogonal to the conference proper, or even counter-productive. Still, I knew of the uncertainty of Internet access, and I didn't make it nearly clear enough to delegates.
<p>
As well, I didn't communicate all the details everybody needed well enough. There was no canonical DebConf 2 web page; there was no place for people to read about directions and speakers and everything else that really needed to be done. I relied too heavily on the assumption that most people would be subscribed to the debian-devel-announce list, too. I was proved wrong on this count many times, and given the opportunity I would definitely have arranged for a more centralised location for information.
<p>
DebConf 2 was free: nobody needed to pay anything to attend talks. This turned out to be a very bad idea, because it left the gate open for people who wanted to attend everything at the very last minute. I received e-mails all the way up to Sunday the 7th of July (!) asking about DebConf - could people come, where was it, etc. In retrospect, it would have been significantly smarter if I just said "Everybody pays $20 before such-and-such date," and when people e-mailed at the last minute, I just said "No, you can't come."
<p>
Finally, I will comment slightly on the program. The best thing about conferences is the people: meeting new people, talking and learning - and I found that I put a little too much of an emphasis on the talks, and not of giving people a chance to just relax and hang out. Partially, this was because it was only a weekend conference and there just wasn't enough room in the schedule for a lot of down time, but I could have improved upon the situation.
<p>
I can't emphasise enough how important the work YUCC did on this conference was. Alex, who wasn't even able to be there, Sabira and Dave, and everybody else I don't know about -- they are the reason it happened. Thank you everybody!
<p>
Well, that's about all I have to say about DebConf 2. I really enjoyed the whole conference, and will gladly arrange the next one if it's desired, no matter where it is (as long as I'm able to attend). See you all next year!
<p>
P.S. For those who want to organise conferences of any sort, here are my suggestions:
<ul>
<li> Charge a small fee for entry and/or have a firm cut-off date, even if you don't want or need to. (Get t-shirts made for delegates if you feel guilty.)
<li> Wear something recognisable on the first day at least. I wore a <a href="http://www.tilley.com">Tilley hat</a> and a bright orange shirt, so people could pick me out of a crowd. People will need to talk to you, no matter how well you're organised. (Name tags might help too.)
<li> Check and double-check your reservations, arrangements and basically everything else that you need. Especially when you depend on a hierarchy of people, any one person dropping the ball can really screw things up.
<li> Leave room in the schedule for people to socialise and get to know one another. After all, the whole point of getting together is to bring people together!
<li> Have fun! Leave room for (or even arrange!) tourist trips for small groups.
</ul>


